Loading...
Searching...
No Matches
casacore::LatticeMathUtil_global_functions_LatticeMathUtil Struct Reference
lattices package (libcasa_lattices) » LatticeMath_module

Global functions on Lattices. More...

`#include <LatticeMathUtil.h>`

## Public Member Functions

template<class T>
void | minMax (T &min, T &max, IPosition &posMin, IPosition &posMax, const Lattice< T > &lat)
| This global function finds the max of a Lattice, and also the IPositions of the max.

## Detailed Description

Global functions on Lattices.

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd
Test programs:
  tLatticeMathUtil

### Prerequisite

- Lattice

### Synopsis

Global functions using Lattices

### Example

#### Example 1:

Copy the lattice-type data between two Images.//

PagedImage<Float> myImg ("myimagefile");
Float lmin;
Float lmax;
IPosition posMin = myImg.shape();
IPosition posMax = myImg.shape();
minMax(lmin, lmax, posMin, posMax, myImg);
casacore::IPosition
Definition IPosition.h:117
casacore::PagedImage
Definition PagedImage.h:134
casacore::Float
float Float
Definition aipstype.h:52
casacore::LatticeMathUtil_global_functions_LatticeMathUtil::minMax
void minMax(T &min, T &max, IPosition &posMin, IPosition &posMax, const Lattice< T > &lat)
This global function finds the max of a Lattice, and also the IPositions of the max.

### Motivation

Algorithms like CLEAN need to know the position of the MIN and MAX of an image, but easy things like LEL's min and max don't tell you the location of the min and max. It seems there may be other global functions involving lattices.

### To Do

- nothing I know of

Definition at line 135 of file LatticeMathUtil.h.

## Member Function Documentation

## minMax()

template<class T>

void casacore::LatticeMathUtil_global_functions_LatticeMathUtil::minMax | ( | T & | min,
|  | T & | max,
|  | IPosition & | posMin,
|  | IPosition & | posMax,
|  | const Lattice< T > & | lat )

This global function finds the max of a Lattice, and also the IPositions of the max.

(LEL does not get you the IPositions of the min and max)

References casacore::max(), and casacore::min().

The documentation for this struct was generated from the following file:

- lattices/LatticeMath/LatticeMathUtil.h